/* CARE.COM MESSAGING CSS */

embeddedmessaging-container {
    font-family: "OceanicGrotesk-Regular", sans-serif !important;
}

/* COLORS */
.embedded-messaging-chat-message {
    --secondaryColor: #025747  ;
    --contrastPrimaryColor: #1E1E1E;
}
/* END COLORS */

/* HEADER */
embeddedmessaging-chat-header {
    color: #025747  !important;
    background-color: #ffffff !important;
}

.chatHeader {
    transition: none !important;
}

.chatHeader h2 {
    display: none !important;
}

embeddedmessaging-chat-header header img {
    max-width: 79px !important;
    max-height: 22px !important;
}

embeddedmessaging-chat-header .slds-icon_container svg.slds-icon_x-small {
    fill: #025747 !important;
}

.minimizeButton,
.closeButton {
    position: absolute;
    right: 27px;
    min-width: 14px !important;
    min-height: 7px !important;
}

.chatHeader:has(.closeButton) .minimizeButton {
    display: none;
}
/* END HEADER */

/* DROPDOWN */
.slds-dropdown {
    border: 1px solid #025747 !important;
    background: #025747 !important;
}

.slds-dropdown__item .requestTranscriptOption,
.slds-dropdown__item > .endChatOption {
    background-color: #025747 !important;
    color: #ffffff !important;
}

.slds-dropdown__item .requestTranscriptOption:hover,
.slds-dropdown__item > .endChatOption:hover {
    background-color: #37587b !important;
}

.slds-dropdown__item .slds-truncate:not(.endChat) {
    color: #ffffff !important;
}

.endChat {
    color: #ffffff !important;
}

.slds-dropdown__list > .slds-dropdown__item:not(:first-child) {
    border-top: none !important;
}
/* END DROPDOWN */

/* MESSAGE */
.embedded-messaging-chat-message {
    max-width: calc(100% - 40px) !important;
}

.embedded-messaging-chat-message .embedded-messaging-inbound-chat-message {
    color: #131317 !important;
    font-family: "OceanicGrotesk-Regular";
    font-size: 14px !important;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    padding: 12px !important;
    background-color: #f2f2f3 !important;
}

/* LINK */
.linkIconContainer {
    display: none !important;
}

.conversation-link-message__content_inbound {
    font-weight: 700;
    text-decoration-line: underline;
    color: #377A69  !important;
}

.conversation-link-message__content br + span {
    display: none;
}

.conversation-link-message__content {
    padding: 0 !important;
}
/* END LINK */

/* MENU */
embeddedmessaging-choices-menu {
    min-width: calc(100% - 85px) !important;
    max-width: calc(100% - 85px) !important;
}

.embedded-messaging-menu-item button {
    background-color: transparent !important;
}

.embedded-messaging-menu-item:hover :not(.isDisabled) {
    background-color: #f5f5f5 !important;
    /*color: #ffffff;*/
    text-decoration: none !important;
    cursor: pointer;
    border-radius: 0;
    outline: none;
}

.embedded-messaging-menu-item-option.isDisabled:hover:not(.isSelected) span {
    background-color: transparent !important;
    color: #787878 !important;
}

.embedded-messaging-menu-item:hover:not(.isDisabled) span  {
    background-color: transparent !important;
}

.embedded-messaging-menu-item > .embedded-messaging-menu-item-option.isDisabled:not(.isSelected) {
    opacity: 100% !important;
}

.embedded-messaging-menu-item-option {
    color: #787878 !important;
}

.embedded-messaging-menu-item-option.isSelected:hover span {
    /*color: #ffffff !important;*/
}

.embedded-messaging-menu-item-option.isDisabled > button.slds-button {
    color: #787878 !important;
}

.embedded-messaging-menu-item-option:not(.isDisabled) > button.slds-button:hover {
    text-decoration: none !important;
    /*color: #ffffff !important;*/
}

.embedded-messaging-menu-item-option.isDisabled > button.slds-button {
    color: #787878 !important;
}

.embedded-messaging-menu-item {
    border-color: #58595b !important;
}

.embedded-messaging-menu-item-option.isSelected {
    background-color: #e8e8e8 !important;
    /*color: #ffffff !important;*/
    border-radius: 0 !important;
}

.embedded-messaging-menu-item-option.isSelected > button.slds-button {
    text-decoration: none !important;
    /*color: #ffffff !important;*/
}
/* END MENU */

/* CHOICE BUTTONS */
embeddedmessaging-choices-buttons {
    text-align: center;
    margin-left: 0 !important;
}

.slds-button--neutral,
.slds-button_neutral {
    /*border-radius: 100px;*/
    --slds-c-button-color-border: #004165;
    --slds-c-button-text-color: #025747  ;
    min-width: 66px;
}

/* MISC */
.chat-typing-indicator > embeddedmessaging-chat-typing-indicator {
    background-color: #025747  !important;
}

/* MINIMIZED BUTTON */
.minimizedButtonWrapper .minimizedButton {
    background-color: #D0F5A3  !important;
    width: 166px !important;
    border-radius: 20px !important;

}

.minimizedButton .minimizedButtonIconContainer > svg.minimizedButtonIconChat path {
    fill: #ffffff !important;
}

.minimizedButton {
    --headerColor: #025747 ;
}
